Name:           cockpit-image-builder
Version:        66
Release:        1.20250506065606336985.pr3189.25.g0d5739c4%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-67.tar.gz

Obsoletes:      cockpit-composer < 54
Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       cockpit-files
Requires:       osbuild-composer >= 131

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Tue May 6 2025 Packit <hello@packit.dev> - 66-1.20250506065606336985.pr3189.25.g0d5739c4
- build(deps-dev): bump @babel/preset-env from 7.26.9 to 7.27.1 (dependabot[bot])
- Update Konflux references (red-hat-konflux[bot])
- analytics: Update name of a tracking event (regexowl)
- Wizard: Fix users bug - 'wheel' group removal (regexowl)
- playwright: Provision large AWS CB instance (Tom Koscielniak)
- build(deps): bump @reduxjs/toolkit from 2.6.1 to 2.7.0 (dependabot[bot])
- Wizard: Add retirement date column (regexowl)
- API: Update content-services API schema (regexowl)
- build(deps): bump vite from 6.2.6 to 6.3.4 (dependabot[bot])
- Wizard: Add comments (regexowl)
- Wizard: Remove "Red Hat" repository icon (regexowl)
- Wizard: Add tooltip for disabled packages (regexowl)
- test: Add new tests for modularity (regexowl)
- Wizard: Handle expand based on complete pkg info (regexowl)
- Wizard: Spread modules into row and handle adding/removing from the store (regexowl)
- Wizard: Add application stream column (regexowl)
- devDeps: Manually bump msw (regexowl)
- tests/playwright: Add Timezone customization test (Anna Vítová)
- playwright: Decrease number of workers (regexowl)
- test: add tests for tailored customizations (Sanne Raymaekers)
- Wizard: handle partition customizations properly (Sanne Raymaekers)
- Wizard: get rid of unneeded selected state in compliance step (Sanne Raymaekers)
- Wizard: support tailored customizations (Sanne Raymaekers)
- api: update image-builder-crc api (Sanne Raymaekers)
- Post release version bump (schutzbot)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
